package com.zcloud.fire.check.web;


import com.alibaba.cola.dto.MultiResponse;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.Response;
import com.alibaba.cola.dto.SingleResponse;
import com.jjb.saas.framework.auth.model.SSOUser;
import com.jjb.saas.framework.auth.utils.AuthContext;
import com.zcloud.fire.check.api.FireCheckRecordUserServiceI;
import com.zcloud.fire.check.dto.FireCheckRecordUserAddCmd;
import com.zcloud.fire.check.dto.FireCheckRecordUserPageQry;
import com.zcloud.fire.check.dto.FireCheckRecordUserUpdateCmd;
import com.zcloud.fire.check.dto.clientobject.FireCheckRecordUserCO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import java.util.ArrayList;

/**
 * web-adapter
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:12:04
 */
@ApiIgnore
@Api(tags = "消防点位检查用户表",hidden = true)
@RequestMapping("/${application.gateway}/fireCheckRecordUser")
@RestController
@AllArgsConstructor
@Deprecated
public class FireCheckRecordUserController {
    private final FireCheckRecordUserServiceI fireCheckRecordUserService;

    @ApiOperation("新增")
    @PostMapping("/save")
    public SingleResponse<FireCheckRecordUserCO> add(@Validated @RequestBody FireCheckRecordUserAddCmd cmd) {
        SSOUser ssoUser = AuthContext.getCurrentUser();
        return fireCheckRecordUserService.add(cmd);
    }

    @ApiOperation("分页")
    @PostMapping("/list")
    public PageResponse<FireCheckRecordUserCO> page(@RequestBody FireCheckRecordUserPageQry qry) {
        return fireCheckRecordUserService.listPage(qry);
    }

    @ApiOperation("所有数据")
    @GetMapping("/listAll")
    public MultiResponse<FireCheckRecordUserCO> listAll() {
        return MultiResponse.of(new ArrayList<FireCheckRecordUserCO>());
    }

    @ApiOperation("详情")
    @GetMapping("/{id}")
    public SingleResponse<FireCheckRecordUserCO> getInfoById(@PathVariable("id") Long id) {
        return SingleResponse.of(new FireCheckRecordUserCO());
    }

    @ApiOperation("删除")
    @DeleteMapping("/{id}")
    public Response remove(@PathVariable("id") Long id) {
        fireCheckRecordUserService.remove(id);
        return SingleResponse.buildSuccess();
    }

    @ApiOperation("删除多个")
    @DeleteMapping("/ids")
    public Response removeBatch(@RequestParam Long[] ids) {
        fireCheckRecordUserService.removeBatch(ids);
        return SingleResponse.buildSuccess();
    }

    @ApiOperation("修改")
    @PutMapping("/edit")
    public SingleResponse edit(@Validated @RequestBody FireCheckRecordUserUpdateCmd fireCheckRecordUserUpdateCmd) {
        fireCheckRecordUserService.edit(fireCheckRecordUserUpdateCmd);
        return SingleResponse.buildSuccess();
    }
}

